/*
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

@interface Method:Object {
	id selector, comment, primitive, statements; 
	id argumentVariables, localVariables;
	id type, concatenatedSelector;
	BOOL isFactory; 
	id translation;
}

+ selector:aSelector asFactory:(BOOL)aBoolean;
- receiverType;
- comment:aString;
- variables:aVarList;
- selector;
- statements:aStmtList; 
- primitive:aToken;
- gen;
- type;
- type:aType rule:(STR)aString;
- free;

@end

