/*
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

@interface Selector:Node 
	{ id name,argument; }

+ name:aString argument:anArgument;
+ name:aString ;
+ str:(STR)aString;
- deepCopy;
- (BOOL)isUnary;
- asByteArray;
- asTypeArray;
- asTypedByteArray;
- (STR)str; 
- (unsigned)hash;
- (BOOL)isEqual:anObject;
- (BOOL)isEqualSTR:(STR)aStr; 
- type;
- type:aType;
- type:aType rule:(STR)aString; 
- argument:anArgument; 
- argument; 
- argumentType;
- free; 
- gen;
- genDeclaration;

@end

