/*
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "Producer.h"
#include <ocstring.h>
#include "ByteArray.h"
#include "Template.h"
#include "Node.h"

#define MAXSELECTOR 5000

@implementation Template : ByteArray
	{ id receiverType, selector; }

+ receiverType:aType selector:aSelector {
	char strBuf[MAXSELECTOR];
	id s = aSelector; strBuf[0] = 0;
	for (s = aSelector; s;  s = [s successor]) strcat(strBuf, [s str]);
	self = [super str:strBuf];
	receiverType = aType;
	selector = aSelector;
	return self;
}
- receiverType
	{ return receiverType; }
- selector
	{ return selector; }

@end

